--- Makefile.in.orig	2023-01-10 18:01:14.000000000 +0800
+++ Makefile.in	2023-06-22 15:00:50.000000000 +0800
@@ -18,21 +18,19 @@
 
 DISTFILES			= INSTALL LICENSE NEWS README Makefile Makefile.in \
 					  config.guess config.status config.h.in config.sub configure \
-					  configure.in install-sh libwired man run thirdparty wired
-SUBDIRS				= libwired
+					  configure.in install-sh man run thirdparty wired
 
 WIREDOBJS			= $(addprefix $(objdir)/wired/,$(notdir $(patsubst %.c,%.o,$(shell find $(abs_top_srcdir)/wired -name "[a-z]*.c"))))
 NATPMPOBJS			= $(addprefix $(objdir)/natpmp/,$(notdir $(patsubst %.c,%.o,$(shell find $(abs_top_srcdir)/thirdparty/natpmp -name "[a-z]*.c"))))
-MINIUPNPCOBJS		= $(addprefix $(objdir)/miniupnpc/,$(notdir $(patsubst %.c,%.o,$(shell find $(abs_top_srcdir)/thirdparty/miniupnpc -name "[a-z]*.c"))))
 TRANSFERTESTOBJS	= $(addprefix $(objdir)/transfertest/,$(notdir $(patsubst %.c,%.o,$(shell find $(abs_top_srcdir)/test/transfertest -name "[a-z]*.c"))))
 
 DEFS				= @DEFS@ -DENABLE_STRNATPMPERR -DMINIUPNPC_SET_SOCKET_TIMEOUT
 CC					= @CC@
 CFLAGS				= @CFLAGS@
 CPPFLAGS			= @CPPFLAGS@
-LDFLAGS				= -L$(rundir)/libwired/lib @LDFLAGS@
-LIBS				= -lwired @LIBS@
-INCLUDES			= -I$(abs_top_srcdir) -I$(rundir)/libwired/include -I$(abs_top_srcdir)/thirdparty
+LDFLAGS			= -L__PREFIX__/libexec/openssl10/lib -lssl -L__PREFIX__/lib -lncurses -lminiupnpc @LDFLAGS@ __PREFIX__/lib/libwired.a ${prefix}/lib/libiconv.dylib
+LIBS				= -L__PREFIX__/libexec/openssl10/lib -lssl -L__PREFIX__/lib -lncurses -lminiupnpc @LIBS@ __PREFIX__/lib/libwired.a ${prefix}/lib/libiconv.dylib
+INCLUDES			= -I$(abs_top_srcdir) -I__PREFIX__/include/wired -I$(abs_top_srcdir)/thirdparty
 
 INSTALL				= @INSTALL@
 COMPILE				= $(CC) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
@@ -68,9 +66,9 @@
 		(cd $$subdir && $(MAKE) -e $$target) || exit 1; \
 	done
 
-$(rundir)/wired: $(WIREDOBJS) $(NATPMPOBJS) $(MINIUPNPCOBJS) $(rundir)/libwired/lib/libwired.a
+$(rundir)/wired: $(WIREDOBJS) $(NATPMPOBJS)
 	@test -d $(@D) || mkdir -p $(@D)
-	$(LINK) $(WIREDOBJS) $(NATPMPOBJS) $(MINIUPNPCOBJS) $(LIBS)
+	$(LINK) $(WIREDOBJS) $(NATPMPOBJS) $(LIBS)
 
 $(rundir)/wiredctl: $(abs_top_srcdir)/wired/wiredctl.in
 	@test -d $(@D) || mkdir -p $(@D)
@@ -81,7 +79,7 @@
 	@test -d $(@D) || mkdir -p $(@D)
 	sed -e 's,@WD_USER\@,$(WD_USER),g' -e 's,@WD_GROUP\@,$(WD_GROUP),g' $< > $@
 
-$(rundir)/transfertest: $(TRANSFERTESTOBJS) $(rundir)/libwired/lib/libwired.a
+$(rundir)/transfertest: $(TRANSFERTESTOBJS)
 	@test -d $(@D) || mkdir -p $(@D)
 	$(LINK) $(TRANSFERTESTOBJS) $(LIBS)
 
@@ -101,14 +99,6 @@
 	@test -d $(@D) || mkdir -p $(@D)
 	($(DEPEND) $< | sed 's,$*.o,$(@D)/&,g'; echo "$@: $<") > $@
 
-$(objdir)/miniupnpc/%.o: $(abs_top_srcdir)/thirdparty/miniupnpc/%.c
-	@test -d $(@D) || mkdir -p $(@D)
-	$(COMPILE) -I$(<D) -c $< -o $@
-
-$(objdir)/miniupnpc/%.d: $(abs_top_srcdir)/thirdparty/miniupnpc/%.c
-	@test -d $(@D) || mkdir -p $(@D)
-	($(DEPEND) $< | sed 's,$*.o,$(@D)/&,g'; echo "$@: $<") > $@
-
 $(objdir)/transfertest/%.o: $(abs_top_srcdir)/test/transfertest/%.c
 	@test -d $(@D) || mkdir -p $(@D)
 	$(COMPILE) -I$(<D) -c $< -o $@
@@ -122,36 +112,36 @@
 install-only: install-man install-wired
 
 install-wired:
-	@if [ -e $(installdir)/wired ]; then \
+	@if [ -e __DESTROOT__/$(installdir)/wired ]; then \
 		touch .update; \
 	fi
 
-	$(INSTALL) -m 755 -o $(WD_USER) -g $(WD_GROUP) -d $(installdir)/
+	$(INSTALL) -m 755 -o $(WD_USER) -g $(WD_GROUP) -d __DESTROOT__/$(installdir)/
 
-	$(INSTALL) -m 755 -o $(WD_USER) -g $(WD_GROUP) -d $(installdir)/etc/
+	$(INSTALL) -m 755 -o $(WD_USER) -g $(WD_GROUP) -d __DESTROOT__/$(installdir)/etc/
 
-	if [ ! -f $(installdir)/etc/wired.conf ]; then \
-		$(INSTALL) -m 644 -o $(WD_USER) -g $(WD_GROUP) $(rundir)/etc/wired.conf $(installdir)/etc/; \
+	if [ ! -f __DESTROOT__/$(installdir)/etc/wired.conf ]; then \
+		$(INSTALL) -m 644 -o $(WD_USER) -g $(WD_GROUP) $(rundir)/etc/wired.conf __DESTROOT__/$(installdir)/etc/; \
 	fi
 	
 	if [ ! -d $(installdir)/files ]; then \
-		$(INSTALL) -m 755 -o $(WD_USER) -g $(WD_GROUP) -d $(installdir)/files/; \
-		$(INSTALL) -m 755 -o $(WD_USER) -g $(WD_GROUP) -d $(installdir)/files/Uploads/; \
-		$(INSTALL) -m 755 -o $(WD_USER) -g $(WD_GROUP) -d $(installdir)/files/Uploads/.wired/; \
-		$(INSTALL) -m 644 -o $(WD_USER) -g $(WD_GROUP) $(rundir)/files/Uploads/.wired/type $(installdir)/files/Uploads/.wired/; \
-		$(INSTALL) -m 755 -o $(WD_USER) -g $(WD_GROUP) -d $(installdir)/files/Drop\ Box/; \
-		$(INSTALL) -m 755 -o $(WD_USER) -g $(WD_GROUP) -d $(installdir)/files/Drop\ Box/.wired/; \
-		$(INSTALL) -m 644 -o $(WD_USER) -g $(WD_GROUP) $(rundir)/files/Drop\ Box/.wired/type $(installdir)/files/Drop\ Box/.wired/; \
-		$(INSTALL) -m 644 -o $(WD_USER) -g $(WD_GROUP) $(rundir)/files/Drop\ Box/.wired/permissions $(installdir)/files/Drop\ Box/.wired/; \
+		$(INSTALL) -m 755 -o $(WD_USER) -g $(WD_GROUP) -d __DESTROOT__/$(installdir)/files/; \
+		$(INSTALL) -m 755 -o $(WD_USER) -g $(WD_GROUP) -d __DESTROOT__/$(installdir)/files/Uploads/; \
+		$(INSTALL) -m 755 -o $(WD_USER) -g $(WD_GROUP) -d __DESTROOT__/$(installdir)/files/Uploads/.wired/; \
+		$(INSTALL) -m 644 -o $(WD_USER) -g $(WD_GROUP) $(rundir)/files/Uploads/.wired/type __DESTROOT__/$(installdir)/files/Uploads/.wired/; \
+		$(INSTALL) -m 755 -o $(WD_USER) -g $(WD_GROUP) -d __DESTROOT__/$(installdir)/files/Drop\ Box/; \
+		$(INSTALL) -m 755 -o $(WD_USER) -g $(WD_GROUP) -d __DESTROOT__/$(installdir)/files/Drop\ Box/.wired/; \
+		$(INSTALL) -m 644 -o $(WD_USER) -g $(WD_GROUP) $(rundir)/files/Drop\ Box/.wired/type __DESTROOT__/$(installdir)/files/Drop\ Box/.wired/; \
+		$(INSTALL) -m 644 -o $(WD_USER) -g $(WD_GROUP) $(rundir)/files/Drop\ Box/.wired/permissions __DESTROOT__/$(installdir)/files/Drop\ Box/.wired/; \
 	fi
 
 	if [ ! -f $(installdir)/banner.png ]; then \
-		$(INSTALL) -m 644 -o $(WD_USER) -g $(WD_GROUP) $(rundir)/banner.png $(installdir)/; \
+		$(INSTALL) -m 644 -o $(WD_USER) -g $(WD_GROUP) $(rundir)/banner.png __DESTROOT__/$(installdir)/; \
 	fi
 
-	$(INSTALL) -m 644 -o $(WD_USER) -g $(WD_GROUP) $(rundir)/wired.xml $(installdir)/
-	$(INSTALL) -m 755 -o $(WD_USER) -g $(WD_GROUP) $(rundir)/wired $(installdir)/
-	$(INSTALL) -m 755 -o $(WD_USER) -g $(WD_GROUP) $(rundir)/wiredctl $(installdir)/
+	$(INSTALL) -m 644 -o $(WD_USER) -g $(WD_GROUP) $(rundir)/wired.xml __DESTROOT__/$(installdir)/
+	$(INSTALL) -m 755 -o $(WD_USER) -g $(WD_GROUP) $(rundir)/wired __DESTROOT__/$(installdir)/
+	$(INSTALL) -m 755 -o $(WD_USER) -g $(WD_GROUP) $(rundir)/wiredctl __DESTROOT__/$(installdir)/
 
 	@if [ -f .update ]; then \
 		echo ""; \
@@ -176,14 +166,14 @@
 	@rm -f .update
 
 install-man:
-	$(INSTALL) -m 755 -o $(WD_USER) -g $(WD_GROUP) -d $(mandir)/
+	$(INSTALL) -m 755 -o $(WD_USER) -g $(WD_GROUP) -d __DESTROOT__/$(mandir)/
 	
-	$(INSTALL) -m 755 -o $(WD_USER) -g $(WD_GROUP) -d $(mandir)/man1/
-	$(INSTALL) -m 644 -o $(WD_USER) -g $(WD_GROUP) $(abs_top_srcdir)/man/wiredctl.1 $(mandir)/man1/
-	$(INSTALL) -m 755 -o $(WD_USER) -g $(WD_GROUP) -d $(mandir)/man5/
-	$(INSTALL) -m 644 -o $(WD_USER) -g $(WD_GROUP) $(abs_top_srcdir)/man/wired.conf.5 $(mandir)/man5/
-	$(INSTALL) -m 755 -o $(WD_USER) -g $(WD_GROUP) -d $(mandir)/man8/
-	$(INSTALL) -m 644 -o $(WD_USER) -g $(WD_GROUP) $(abs_top_srcdir)/man/wired.8 $(mandir)/man8/
+	$(INSTALL) -m 755 -o $(WD_USER) -g $(WD_GROUP) -d __DESTROOT__/$(mandir)/man1/
+	$(INSTALL) -m 644 -o $(WD_USER) -g $(WD_GROUP) $(abs_top_srcdir)/man/wiredctl.1 __DESTROOT__/$(mandir)/man1/
+	$(INSTALL) -m 755 -o $(WD_USER) -g $(WD_GROUP) -d __DESTROOT__/$(mandir)/man5/
+	$(INSTALL) -m 644 -o $(WD_USER) -g $(WD_GROUP) $(abs_top_srcdir)/man/wired.conf.5 __DESTROOT__/$(mandir)/man5/
+	$(INSTALL) -m 755 -o $(WD_USER) -g $(WD_GROUP) -d __DESTROOT__/$(mandir)/man8/
+	$(INSTALL) -m 644 -o $(WD_USER) -g $(WD_GROUP) $(abs_top_srcdir)/man/wired.8 __DESTROOT__/$(mandir)/man8/
 
 dist:
 	rm -rf wired-$(WD_VERSION)
@@ -209,8 +199,6 @@
 	rm -f $(objdir)/transfertest/*.d
 	rm -f $(objdir)/natpmp/*.o
 	rm -f $(objdir)/natpmp/*.d
-	rm -f $(objdir)/miniupnpc/*.o
-	rm -f $(objdir)/miniupnpc/*.d
 	rm -f $(rundir)/wired
 	rm -f $(rundir)/wiredctl
 	rm -f $(rundir)/etc/wired.conf
@@ -228,6 +216,5 @@
 ifeq ($(WD_MAINTAINER), 1)
 -include $(WIREDOBJS:.o=.d)
 -include $(NATPMPOBJS:.o=.d)
--include $(MINIUPNPSOBJS:.o=.d)
 -include $(TRANSFERTESTOBJS:.o=.d)
 endif
